#contact_section
{
  background-color: #f6f9fc;
}

#contact_section .section_title
{
  color: var(--black_title);
  margin-bottom: 70px;
}

#contact_section .contact_content
{
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

@media screen and (max-width: 780px)
{
  #contact_section .contact_content
  {
    flex-direction: column;
  }
}

#contact_section .social_line
{
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

#contact_section .social_link
{
  display: flex;
  align-items: center;
  padding: 25px 10px 25px 25px;
  border-radius: 20px;
  background-color: white;
  box-shadow: 0px 0px 10px rgba(28, 28, 51, 0.2);
  gap: 15px;
  text-decoration: none;
  transition: all 0.5s ease-in-out;
  overflow: hidden;
}

#contact_section .social_link:hover
{
  padding-right: 45px;
}

#contact_section .social_link img
{
  width: 50px;
}

#contact_section .social_link .social_text
{
  overflow: hidden;
  width: 0px;
  transition: width 0.5s ease-in-out;
  white-space: nowrap;
}

#contact_section .social_link:hover .social_text
{
  width: var(--size);
}

#contact_section .social_link .social_text span
{
  font-family: proxima_nova_semi_bold;
  font-size: 20px;
  color: #000;
  white-space: nowrap;
  display: inline-block;
}

@media screen and (max-width: 500px)
{
  #contact_section .social_link:hover
  {
    padding-right: 10px;
  }

  #contact_section .social_link:hover .social_text
  {
    width: 0px;
  }
}
